POST
/api/account/change-password
const url = 'https://example.com/api/account/change-password';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"accountId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","currentPassword":"example","newPassword":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/account/change-password \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currentPassword": "example", "newPassword": "example" }'Requires the current password. Returns 400 if it doesn’t match.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
accountId
string format: uuid
currentPassword
required
string
newPassword
required
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currentPassword": "example", "newPassword": "example"}object
accountId
string format: uuid
currentPassword
required
string
newPassword
required
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currentPassword": "example", "newPassword": "example"}object
accountId
string format: uuid
currentPassword
required
string
newPassword
required
string
Example generated
{ "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "currentPassword": "example", "newPassword": "example"}Responses
Section titled “ Responses ”No Content
Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}